"""Essai de decodage des champs comportant un time-tag dans la telemesure MEA

"""
import	datetime
import	re

digits = re.compile ("\d+")

def	str_to_time (str):
	s = str.split ("T")[1]

	v = map (int, digits.findall (str))

	d = datetime.date (v[0], 1, 1) + datetime.timedelta (days = v[1] -1)

	t = datetime.time (* v[2:])

	return datetime.datetime.combine (d, t)


def	old_main (filename):

	last_value = 0
	last_time = datetime.datetime (1970,1,1)

	for line in open (filename):

		word = line.strip().split (" : ")

		print word

		if word[0].startswith ("Date"):

			print word[1]

			time = str_to_time (word [1])

			print "dt = ", time - last_time
			last_time = time

		if word[0].startswith ("CCSDS"):

			str = "".join (word [1].split ()[:4])

			value = int (str, 16)
			print "value", value, value - last_value
			last_value = value
			print

# main ("timing")

hex = re.compile ("[0123456789ABCDEF]+")

def	lire_time (filename):

	hdr_save = 0
	ccsds_save = 0

	for line in open (filename):
		line = line.strip().split (":")

		if line [0].startswith ("Date"):
			print "=" * 80
			print "Date", line [1:]

		if line [0].startswith ("CCSDS header 2"):

			print "-" * 80
			ccsds_cpt = int ("".join (hex.findall (line [1]) [:4]), 16)
			print "CCSDS", line[1], ccsds_cpt, ccsds_cpt - ccsds_save
			ccsds_save = ccsds_cpt

		if line [0].startswith ("HDR"):

			hdr_cpt = int ("".join (hex.findall (line [1]) [:4]), 16)
			print "HDR", line[1], hdr_cpt, hdr_cpt - hdr_save
			hdr_save = hdr_cpt

##	Fichier HDR issu de la commande :
#
#	cat MEA1_yyyymmdd.log | egrep "(Date|CCSDS header2|HDR)" | cut -c 38-
#
lire_time ("HDR")
