////////////////////////////////////////////////////////////////////////////////
//
//	Definitions of constants used by MEA BEPI softwares
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__DEFS_H
#define	__DEFS_H

#define	MMO_ID		45		// MMO Spacecraft ID

#define	APID_MDP1_DUMP	0x718		// Memory dump (common APID for memory dump)

#define	APID_MEA1_HSK	0x628		// Housekeeping Data APID
#define	APID_MEA1_SCI	0x528		// Science Data APID

#define	APID_MEA2_HSK	0x630		// Housekeeping Data APID
#define	APID_MEA2_SCI	0x530		// Science Data APID

#define	ANT_KSC		0x11		// ID's of reception antenna
#define	ANT_USD		0x20
#define	ANT_SOC		0x82
#define	ANT_53B		0x83

#define	BAND_S		0x40		
#define	BAND_X		0x80

#define	TIME_RECEIVED	1
#define	TIME_GENERATED	2

#define	VCID_REAL	1		// Virtual channels
#define	VCID_REPRO	2

#endif

